Package org.zkoss.stateless.sul

## Interface ISeparatorBase<I extends ISeparatorBase>

- All Superinterfaces:
    `IComponent<I>`, `IHtmlBasedComponent<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `ISeparator`, `ISpace`

      public interface ISeparatorBase<I extends ISeparatorBase>
      extends IXulElement<I>

  Immutable `Separator` component
  Author:
    katherine

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ISeparatorBase.Orient` | Specifies the orient with `withOrient(Orient)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getOrient()` | Returns the orient.
    `java.lang.String` | `getSpacing()` | Returns the spacing.
    `default boolean` | `isBar()` | Returns whether to display a visual bar as the separator.
    `I` | `withBar​(boolean bar)` | Returns a copy of `this` immutable component with the specified `bar`.
    `I` | `withOrient​(java.lang.String orient)` | Returns a copy of `this` immutable component with the specified `orient`.
    `default I` | `withOrient​(ISeparatorBase.Orient orient)` | Returns a copy of `this` immutable component with the specified `orient`.
    `I` | `withSpacing​(java.lang.String spacing)` | Returns a copy of `this` immutable component with the specified `spacing`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getSpacing

          @Nullable
          java.lang.String getSpacing()

      Returns the spacing.

      Default: `null` (depending on CSS).

    - #### withSpacing

          I withSpacing​(@Nullable
                        java.lang.String spacing)

      Returns a copy of `this` immutable component with the specified `spacing`.

      Sets the spacing.

      Parameters:
        `spacing` - The spacing (such as "0", "5px", "3pt")

        Default: `null`.

      Returns:
        A modified copy of the `this` object

    - #### getOrient

          default java.lang.String getOrient()

      Returns the orient.

      Default: `"horizontal"`.

    - #### withOrient

          I withOrient​(java.lang.String orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient.

      Parameters:
        `orient` - Either `"horizontal"` or `"vertical"`.

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### withOrient

          default I withOrient​(ISeparatorBase.Orient orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient to layout image.

      Parameters:
        `orient` - the orient to layout image., either `"horizontal"` or `"vertical"`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### isBar

          default boolean isBar()

      Returns whether to display a visual bar as the separator.

      Default: `false`

    - #### withBar

          I withBar​(boolean bar)

      Returns a copy of `this` immutable component with the specified `bar`.

      Sets whether to display a visual bar as the separator.

      Parameters:
        `bar` - Whether to display a visual bar as the separator..

        Default: `false`.

      Returns:
        A modified copy of the `this` object